<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>18.1: Types</title>
<link href="sx4.html" rev=precedes>
<link href="sx4aa.html" rel=precedes>
<link href="sx4.html" rev=subdocument>
</head>
<body>
<H2>18.1: Types</H2>

<p>So far, we've seen the basic types
<TT>char</TT>, <TT>int</TT>, <TT>long int</TT>,
<TT>float</TT>, and <TT>double</TT>.
This section introduces the last few basic types:
<TT>void</TT>,
<TT>short int</TT>,
<TT>long double</TT>,
and the <TT>unsigned</TT> types.
Also, we'll meet
storage classes,
<TT>typedef</TT>,
and
the type qualifiers
<TT>const</TT> and <TT>volatile</TT>.
</p><p><a href="sx4aa.html" rel=subdocument>18.1.1: <TT>void</TT></a></p>
<p><a href="sx4ba.html" rel=subdocument>18.1.2: <TT>short int</TT></a></p>
<p><a href="sx4ca.html" rel=subdocument>18.1.3: <TT>unsigned</TT> integers</a></p>
<p><a href="sx4da.html" rel=subdocument>18.1.4: <TT>long double</TT></a></p>
<p><a href="sx4ea.html" rel=subdocument>18.1.5: Storage Classes</a></p>
<p><a href="sx4fa.html" rel=subdocument>18.1.6 Type Definitions (<TT>typedef</TT>)</a></p>
<p><a href="sx4ga.html" rel=subdocument>18.1.7: Type Qualifiers</a></p>
<hr>
<p>
Read sequentially:
<a href="sx4.html" rev=precedes>prev</a>
<a href="sx4aa.html" rel=precedes>next</a>
<a href="sx4.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1996-1999
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
